=== modified file 'fft/gsl_fft_complex_float.h'
--- fft/gsl_fft_complex_float.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_complex_float.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /*  Power of 2 routines  */
 
@@ -132,7 +132,7 @@
                                      gsl_fft_complex_workspace_float * work,
                                      const gsl_fft_direction sign);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_COMPLEX_FLOAT_H */
 

=== modified file 'fft/gsl_fft_halfcomplex.h'
--- fft/gsl_fft_halfcomplex.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_halfcomplex.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_fft.h>
 #include <gsl/gsl_fft_real.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_fft_halfcomplex_radix2_backward (double data[], const size_t stride, const size_t n);
 int gsl_fft_halfcomplex_radix2_inverse (double data[], const size_t stride, const size_t n);
@@ -81,6 +81,6 @@
                                    double complex_coefficient[],
                                    const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_HALFCOMPLEX_H */

=== modified file 'fft/gsl_fft_halfcomplex_float.h'
--- fft/gsl_fft_halfcomplex_float.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_halfcomplex_float.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_fft.h>
 #include <gsl/gsl_fft_real_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_fft_halfcomplex_float_radix2_backward (float data[], const size_t stride, const size_t n);
 int gsl_fft_halfcomplex_float_radix2_inverse (float data[], const size_t stride, const size_t n);
@@ -81,6 +81,6 @@
                                          float complex_coefficient[],
                                          const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_HALFCOMPLEX_FLOAT_H */

=== modified file 'fft/gsl_fft_real.h'
--- fft/gsl_fft_real.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_real.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_fft_real_radix2_transform (double data[], const size_t stride, const size_t n) ;
 
@@ -75,6 +75,6 @@
                          double complex_coefficient[],
                          const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_REAL_H */

=== modified file 'fft/gsl_fft_real_float.h'
--- fft/gsl_fft_real_float.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_real_float.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_fft_real_float_radix2_transform (float data[], const size_t stride, const size_t n) ;
 
@@ -74,6 +74,6 @@
                                float complex_coefficient[],
                                const size_t stride, const size_t n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_REAL_FLOAT_H */

=== modified file 'fit/gsl_fit.h'
--- fit/gsl_fit.h	2013-03-30 20:12:56 +0000
+++ fit/gsl_fit.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_fit_linear (const double * x, const size_t xstride,
                     const double * y, const size_t ystride,
@@ -80,6 +80,6 @@
                  const double cov11,
                  double *y, double *y_err);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FIT_H */

=== modified file 'gsl_math.h'
--- gsl_math.h	2013-03-30 20:12:56 +0000
+++ gsl_math.h	2013-03-30 20:59:11 +0000
@@ -97,17 +97,17 @@
 #define M_EULER    0.57721566490153286060651209008      /* Euler constant */
 #endif
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* other needlessly compulsive abstractions */
 
@@ -159,6 +159,6 @@
 
 #define GSL_FN_VEC_EVAL(F,x,y) (*((F)->function))(x,y,(F)->params)
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATH_H */

=== modified file 'gsl_minmax.h'
--- gsl_minmax.h	2013-03-30 20:12:56 +0000
+++ gsl_minmax.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_MINMAX_H
 #include <gsl/gsl_inline.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Define MAX and MIN macros/functions if they don't exist. */
 
@@ -97,6 +97,6 @@
 #define GSL_MIN_LDBL(a,b)  GSL_MIN(a,b)
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_POW_INT_H */

=== modified file 'gsl_mode.h'
--- gsl_mode.h	2013-03-30 20:12:56 +0000
+++ gsl_mode.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #define GSL_MODE_H
 #include <gsl/gsl_inline.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* Some functions can take a mode argument. This
@@ -83,6 +83,6 @@
 #define GSL_MODE_DEFAULT  0
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MODE_H */

=== modified file 'gsl_pow_int.h'
--- gsl_pow_int.h	2013-03-30 20:12:56 +0000
+++ gsl_pow_int.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_POW_INT_H
 #include <gsl/gsl_inline.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 INLINE_DECL double gsl_pow_2(const double x);
 INLINE_DECL double gsl_pow_3(const double x);
@@ -56,6 +56,6 @@
 double gsl_pow_int(double x, int n);
 double gsl_pow_uint(double x, unsigned int n);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_POW_INT_H */

=== modified file 'gsl_precision.h'
--- gsl_precision.h	2013-03-30 20:12:56 +0000
+++ gsl_precision.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #define GSL_PRECISION_H
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* A type for the precision indicator.
@@ -61,6 +61,6 @@
 GSL_VAR const double gsl_prec_root6_eps[];
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_PRECISION_H */

=== modified file 'histogram/gsl_histogram.h'
--- histogram/gsl_histogram.h	2013-03-30 20:12:56 +0000
+++ histogram/gsl_histogram.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <stdio.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
   size_t n ;
@@ -129,6 +129,6 @@
 void gsl_histogram_pdf_free (gsl_histogram_pdf * p);
 double gsl_histogram_pdf_sample (const gsl_histogram_pdf * p, double r);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_HISTOGRAM_H */

=== modified file 'histogram/gsl_histogram2d.h'
--- histogram/gsl_histogram2d.h	2013-03-30 20:12:56 +0000
+++ histogram/gsl_histogram2d.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <stdio.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
   size_t nx, ny ;
@@ -166,7 +166,7 @@
                                    double r1, double r2, 
                                    double * x, double * y);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_HISTOGRAM2D_H */
 

=== modified file 'ieee-utils/gsl_ieee_utils.h'
--- ieee-utils/gsl_ieee_utils.h	2013-03-30 20:12:56 +0000
+++ ieee-utils/gsl_ieee_utils.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_IEEE_UTILS_H
 #include <stdio.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 enum {
   GSL_IEEE_TYPE_NAN = 1,
@@ -93,7 +93,7 @@
                                int * rounding, int * exception_mask) ;
 int gsl_ieee_set_mode (int precision, int rounding, int exception_mask) ;
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_IEEE_UTILS_H */
 

=== modified file 'integration/gsl_integration.h'
--- integration/gsl_integration.h	2013-03-30 20:12:56 +0000
+++ integration/gsl_integration.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Workspace for adaptive integrators */
 
@@ -318,6 +318,6 @@
 		       double *result, double *abserr, size_t * nevals);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_INTEGRATION_H */

=== modified file 'interpolation/gsl_interp.h'
--- interpolation/gsl_interp.h	2013-03-30 20:12:56 +0000
+++ interpolation/gsl_interp.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* evaluation accelerator */
 typedef struct {
@@ -219,6 +219,6 @@
 #endif /* HAVE_INLINE */
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_INTERP_H */

=== modified file 'interpolation/gsl_spline.h'
--- interpolation/gsl_spline.h	2013-03-30 20:12:56 +0000
+++ interpolation/gsl_spline.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_interp.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* general interpolation object */
@@ -96,6 +96,6 @@
 void
 gsl_spline_free(gsl_spline * spline);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_INTERP_H */

=== modified file 'linalg/gsl_linalg.h'
--- linalg/gsl_linalg.h	2013-03-30 20:12:56 +0000
+++ linalg/gsl_linalg.h	2013-03-30 20:59:11 +0000
@@ -25,17 +25,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-#define __BEGIN_DECLS extern "C" {
-#define __END_DECLS }
+#define GSL_BEGIN_DECLS extern "C" {
+#define GSL_END_DECLS }
 #else
-#define __BEGIN_DECLS           /* empty */
-#define __END_DECLS             /* empty */
+#define GSL_BEGIN_DECLS           /* empty */
+#define GSL_END_DECLS             /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef enum
   {
@@ -587,6 +587,6 @@
 int gsl_linalg_balance_columns (gsl_matrix * A, gsl_vector * D);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_LINALG_H */

=== modified file 'matrix/gsl_matrix_char.h'
--- matrix/gsl_matrix_char.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_char.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_char.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_CHAR_H */

=== modified file 'matrix/gsl_matrix_complex_double.h'
--- matrix/gsl_matrix_complex_double.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_complex_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_complex_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -346,6 +346,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_COMPLEX_DOUBLE_H */

=== modified file 'matrix/gsl_matrix_complex_float.h'
--- matrix/gsl_matrix_complex_float.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_complex_float.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_complex_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -346,6 +346,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_COMPLEX_FLOAT_H */

=== modified file 'matrix/gsl_matrix_complex_long_double.h'
--- matrix/gsl_matrix_complex_long_double.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_complex_long_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_complex_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -346,6 +346,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_COMPLEX_LONG_DOUBLE_H */

=== modified file 'matrix/gsl_matrix_double.h'
--- matrix/gsl_matrix_double.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_DOUBLE_H */

=== modified file 'matrix/gsl_matrix_float.h'
--- matrix/gsl_matrix_float.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_float.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_float.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_FLOAT_H */

=== modified file 'matrix/gsl_matrix_int.h'
--- matrix/gsl_matrix_int.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_int.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_int.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_INT_H */

=== modified file 'matrix/gsl_matrix_long.h'
--- matrix/gsl_matrix_long.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_long.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_long.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_LONG_H */

=== modified file 'matrix/gsl_matrix_long_double.h'
--- matrix/gsl_matrix_long_double.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_long_double.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_long_double.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_LONG_DOUBLE_H */

=== modified file 'matrix/gsl_matrix_short.h'
--- matrix/gsl_matrix_short.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_short.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_short.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_SHORT_H */

=== modified file 'matrix/gsl_matrix_uchar.h'
--- matrix/gsl_matrix_uchar.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_uchar.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_uchar.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_UCHAR_H */

=== modified file 'matrix/gsl_matrix_uint.h'
--- matrix/gsl_matrix_uint.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_uint.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_uint.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_UINT_H */

=== modified file 'matrix/gsl_matrix_ulong.h'
--- matrix/gsl_matrix_ulong.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_ulong.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_ulong.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_ULONG_H */

=== modified file 'matrix/gsl_matrix_ushort.h'
--- matrix/gsl_matrix_ushort.h	2013-03-30 20:12:56 +0000
+++ matrix/gsl_matrix_ushort.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_check_range.h>
 #include <gsl/gsl_vector_ushort.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct 
 {
@@ -345,6 +345,6 @@
 
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MATRIX_USHORT_H */

=== modified file 'min/gsl_min.h'
--- min/gsl_min.h	2013-03-30 20:12:56 +0000
+++ min/gsl_min.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <gsl/gsl_types.h>
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct
   {
@@ -106,6 +106,6 @@
                      double *x_upper, double * f_upper,
                      size_t eval_max);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MIN_H */

=== modified file 'monte/gsl_monte.h'
--- monte/gsl_monte.h	2013-03-30 20:12:56 +0000
+++ monte/gsl_monte.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #ifndef GSL_MONTE_H
 #define GSL_MONTE_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Hide the function type in a typedef so that we can use it in all our
    integration functions, and make it easy to change things.
@@ -50,6 +50,6 @@
 #define GSL_MONTE_FN_EVAL(F,x) (*((F)->f))(x,(F)->dim,(F)->params)
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MONTE_H */

=== modified file 'monte/gsl_monte_miser.h'
--- monte/gsl_monte_miser.h	2013-03-30 20:12:56 +0000
+++ monte/gsl_monte_miser.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_monte.h>
 #include <gsl/gsl_monte_plain.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
   size_t min_calls;
@@ -92,6 +92,6 @@
 void gsl_monte_miser_params_set (gsl_monte_miser_state * state,
 				 const gsl_monte_miser_params * params);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MONTE_MISER_H */

=== modified file 'monte/gsl_monte_plain.h'
--- monte/gsl_monte_plain.h	2013-03-30 20:12:56 +0000
+++ monte/gsl_monte_plain.h	2013-03-30 20:59:11 +0000
@@ -28,17 +28,17 @@
 #include <gsl/gsl_monte.h>
 #include <gsl/gsl_rng.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
   size_t dim;
@@ -60,6 +60,6 @@
 
 void gsl_monte_plain_free (gsl_monte_plain_state* state);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MONTE_PLAIN_H */

=== modified file 'monte/gsl_monte_vegas.h'
--- monte/gsl_monte_vegas.h	2013-03-30 20:12:56 +0000
+++ monte/gsl_monte_vegas.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_rng.h>
 #include <gsl/gsl_monte.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 enum {GSL_VEGAS_MODE_IMPORTANCE = 1, 
       GSL_VEGAS_MODE_IMPORTANCE_ONLY = 0, 
@@ -119,7 +119,7 @@
 void gsl_monte_vegas_params_set (gsl_monte_vegas_state * state,
 				 const gsl_monte_vegas_params * params);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MONTE_VEGAS_H */
 

